net.sf.jasperreports.components.table.fill

## Class TableReportScriptlet

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractScriptlet
  - - net.sf.jasperreports.engine.JRDefaultScriptlet
    - - net.sf.jasperreports.components.table.fill.TableReportScriptlet

-     public class TableReportScriptlet
      extends JRDefaultScriptlet

  Version:
    $Id: TableReportScriptlet.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.JRAbstractScriptlet

      `fieldsMap, groups, parametersMap, variablesMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableReportScriptlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterDetailEval()` Called after evaluating each detail.
    `void` | `afterPageInit()` Called after each page is initialized.
    `boolean` | `hasDetailOnPage()`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRDefaultScriptlet

      `afterColumnInit, afterGroupInit, afterReportInit, beforeColumnInit, beforeDetailEval, beforeGroupInit, beforePageInit, beforeReportInit`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractScriptlet

      `callAfterColumnInit, callAfterDetailEval, callAfterGroupInit, callAfterPageInit, callAfterReportInit, callBeforeColumnInit, callBeforeDetailEval, callBeforeGroupInit, callBeforePageInit, callBeforeReportInit, getFieldValue, getParameterValue, getParameterValue, getVariableValue, setData, setVariableValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableReportScriptlet

          public TableReportScriptlet()

  - ### Method Detail

    - #### afterDetailEval

          public void afterDetailEval()
                               throws JRScriptletException

      Description copied from class: `JRAbstractScriptlet`
      Called after evaluating each detail.
      Overrides:
        `afterDetailEval` in class `JRDefaultScriptlet`
      Throws:
        `JRScriptletException`

    - #### afterPageInit

          public void afterPageInit()
                             throws JRScriptletException

      Description copied from class: `JRAbstractScriptlet`
      Called after each page is initialized.
      Overrides:
        `afterPageInit` in class `JRDefaultScriptlet`
      Throws:
        `JRScriptletException`

    - #### hasDetailOnPage

          public boolean hasDetailOnPage()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com